<?xml version="1.0" encoding="UTF-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" xmlns:admin="http://webns.net/mvcb/">
  <channel rdf:about="http://blog.gmane.org/gmane.linux.redhat.fedora.livecd">
    <title>gmane.linux.redhat.fedora.livecd</title>
    <link>http://blog.gmane.org/gmane.linux.redhat.fedora.livecd</link>
    <description/>
    <syn:updatePeriod>hourly</syn:updatePeriod>
    <syn:updateFrequency>1</syn:updateFrequency>
    <syn:updateBase>1901-01-01T00:00+00:00</syn:updateBase>
    <items>
      <rdf:Seq>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4914"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4912"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4911"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4904"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4903"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4902"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4901"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4900"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4899"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4895"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4894"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4893"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4889"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4886"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4878"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4876"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4875"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4874"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4873"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4872"/>
      </rdf:Seq>
    </items>
    <image rdf:resource="http://gmane.org/img/gmane-25t.png"/>
    <textinput rdf:resource=""/>
  </channel>
  <image rdf:about="http://gmane.org/img/gmane-25t.png">
    <title>Gmane</title>
    <url>http://gmane.org/img/gmane-25t.png</url>
    <link>http://gmane.org</link>
  </image>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4914">
    <title>[Fedora-livecd-list] Misconfigured devicemapper setup within thelivecd?</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4914</link>
    <description>&lt;pre&gt;I'm getting a strange error with the latest livecds. They are custom
made but the changes I made to the kickstart files concern my own
scripts and extra packages I want to have in the livecd. This started
to occur in the lastest 3-4 weeks. I cannot say when exactly it
started to apper. I filed a kernel-bug here
https://bugzilla.redhat.com/show_bug.cgi?id=823205 but maybe this is a
devicemapper problem. I know that there were some changes to the
livecd-tools and lorax packges so maybe something there introduced
this bug. Can someone take a look at it? More information can be found
in my bug report.

--Joshua
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Joshua C.</dc:creator>
    <dc:date>2012-05-25T17:55:54</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4912">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-15.13'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4912</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-15.13' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-05-07 23:50 +0000

Tag as livecd-tools-15.13
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT6hf0hF+jBaO/jp/AQKqIAf/WzSRkdEYW85RvwSsRMDKFsm5HFztZQFM
DGs835k5scxFOZ9d8L9HzBjSI72+3sdlAOKPEczb7bv4FWXzktYbYGAjgQmAEL4c
vby9bOOLfV3CISP8lOdx1DJadH/r13yD8B257Zjz33sW6BhAIBX5jmyAvgb5O8ef
58G95YR2R0ah1AV7h0YUnDYYHRY3cmtZQq7QKf4PavIFb7wqnKtHzNMYBIbzqEyI
Tbhuc7SEdtJTUKvZpR6quWZykw9p7IDksaRBHXGtYNCBdeFoxsAH9U30OGXQkug+
GjDU7zdtwpm9InmXXdgfxdWKdxNpbNwPqVzbdJoIV4s1KhiaSgiQKw==
=ZqmL
-----END PGP SIGNATURE-----

Changes since livecd-tools-15.12:
Brian C. Lane (3):
      copy repo data to USB for F17 (#806166)
      fix syntax problem in detectsrctype
      Version 15.13

---
 Makefile                    |    2 
 tools/livecd-iso-to-disk.sh |  148 +++++++++++++-------------------------------
 2 files changed, 45 insertions(+), 105 deletions(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-07T23:51:01</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4911">
    <title>[Fedora-livecd-list] Branch 'f15-branch' - 3 commits - Makefiletools/livecd-iso-to-disk.sh</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4911</link>
    <description>&lt;pre&gt; Makefile                    |    2 
 tools/livecd-iso-to-disk.sh |  148 +++++++++++++-------------------------------
 2 files changed, 45 insertions(+), 105 deletions(-)

New commits:
commit cc6f9fd380e12bb748ed6d942537b7f606090e3e
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Mon May 7 16:50:24 2012 -0700

    Version 15.13

diff --git a/Makefile b/Makefile
index 8002575..cfec31b 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 15.12
+VERSION = 15.13
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit 73a2e8d77e1bdb10793577e38bc6c0ff6b43b3db
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 12 11:08:15 2012 -0700

    fix syntax problem in detectsrctype

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 7a366c1..da5c5d8 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -631,7 +631,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; detectsrctype() {
         srctype=live
         return
     fi
-    if [ -e $SRCMNT/images/install.img -o $SRCMNT/isolinux/initrd.img ]; then
+    if [ -e $SRCMNT/images/install.img -o -e $SRCMNT/isolinux/initrd.img ]; then
         if [ -n "$packages" ]; then
             srctype=installer
         else


commit de4b9d0f6bdf3f53d3a596bdb1d6c53351ff4673
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 14:43:41 2012 -0700

    copy repo data to USB for F17 (#806166)
    
    Fedora 17 runs from the media so repo= cannot be used to mount the same
    device for access to the repo so we now copy the repodata from the iso
    over to the / of the USB. This requires anaconda-17.23-1 or later.
    
    For releases before F17 the iso is still copied and repo= is setup to
    point to it.
    
    This reverts the use of 2 partitions that was used to work around this.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 9d87eb2..7a366c1 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -273,14 +273,11 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; cleanup() {
     sleep 2
     [ -d "$SRCMNT" ] &amp;amp;&amp;amp; umount $SRCMNT &amp;amp;&amp;amp; rmdir $SRCMNT
     [ -d "$TGTMNT" ] &amp;amp;&amp;amp; umount $TGTMNT &amp;amp;&amp;amp; rmdir $TGTMNT
-    if [ -n "$REPOMNT" ]; then
-        [ -d "$REPOMNT" ] &amp;amp;&amp;amp; umount $REPOMNT &amp;amp;&amp;amp; rmdir $REPOMNT
-    fi
 }
 
 exitclean() {
     RETVAL=$?
-    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ] || [ -n "$REPOMNT" ];
+    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ];
     then
         [ "$RETVAL" = 0 ] || echo "Cleaning up to exit..."
         cleanup
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -419,16 +416,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     /sbin/parted --script $device mklabel gpt
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -438,11 +426,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart '"EFI System Partition"' fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart '"LIVE REPO"' fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -451,13 +434,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-        REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    fi
 }
 
 createMSDOSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -472,16 +448,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     /sbin/parted --script $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -491,11 +458,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -508,13 +470,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-        REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    fi
 }
 
 createEXTFSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -529,16 +484,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     /sbin/parted -s $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted -s -m $device "u MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -548,11 +494,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary ext2 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary ext2 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -568,13 +509,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     fi
     $mkfs -L LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        $mkfs -L LIVE-REPO $REPODEV
-        REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    fi
 }
 
 checkGPT() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -689,9 +623,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 detectsrctype() {
     if [[ -e "$SRCMNT/Packages" ]]; then
-        # This will cause the source .iso to be copied to a second partiton
-        # on the target and the boot args to have repo=... pointing to the iso
-        echo "/Packages found, will copy source .iso to target"
+        echo "/Packages found, will copy source packages to target"
         packages=1
     fi
     if [[ -e "$SRCMNT/LiveOS/squashfs.img" ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -960,10 +892,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 TGTMNT=$(mktemp -d /media/tgttmp.XXXXXX)
 mount $mountopts $TGTDEV $TGTMNT || exitclean
-if [ -n "$REPODEV" ]; then
-    REPOMNT=$(mktemp -d /media/repotmp.XXXXXX)
-    mount $mountopts $REPODEV $REPOMNT || exitclean
-fi
 
 trap exitclean SIGINT SIGTERM
 
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1121,23 +1049,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ "$srctype" = "live" -a -z "$skipcopy" ]; then
     sync
 fi
 
-# DVD installer copy
-# Also copies over the source .iso if the image is a new-style LiveOS DVD (F17+)
-if [ \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
-    echo "Copying DVD image to target device."
-    mkdir -p $TGTMNT/images/
-    if [ "$imgtype" = "install" ]; then
-        copyFile $SRCMNT/images/install.img $TGTMNT/images/install.img || exitclean
-    fi
-fi
-
-# Copy source .iso to repo partition
-if [ -n "$packages" -a -z "$skipcopy" ]; then
-    echo "Copying $SRC"
-    copyFile "$SRC" $REPOMNT/
-    sync
-fi
-
 # Adjust syslinux sources for replication of installed images
 # between filesystem types.
 if [[ -d $SRCMNT/isolinux/ ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1155,6 +1066,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; BOOTCONFIG=$TGTMNT/$SYSLINUXPATH/isolinux.cfg
 # Set this to nothing so sed doesn't care
 BOOTCONFIG_EFI=
 if [ -n "$efi" ]; then
+    echo "Setting up $EFI_BOOT"
     cp $SRCMNT$EFI_BOOT/* $TGTMNT$EFI_BOOT
 
     # FIXME
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1194,7 +1106,43 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     fi
 fi
 
-if [[ live == $srctype ]]; then
+# DVD installer copy
+if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
+    echo "Copying DVD image to target device."
+    mkdir -p $TGTMNT/images/
+    if [ "$imgtype" = "install" ]; then
+        for img in install.img updates.img product.img; do
+            if [ -e $SRCMNT/images/$img ]; then
+                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
+            fi
+        done
+    fi
+fi
+
+# Copy packages over.
+# Before Fedora17 we could copy the .iso and setup a repo=
+# F17 and later look for repodata on the source media.
+# The presence of packages and LiveOS indicates F17 or later.
+if [ -n "$packages" -a -z "$skipcopy" ]; then
+    if [ "$srctype" != "live" ]; then
+        echo "Copying $SRC to device"
+        copyFile "$SRC" "$TGTMNT/"
+
+        # Setup a repo= to point to the .iso
+        sed -i -e "s;initrd.img;initrd.img repo=hd:$TGTLABEL:/;g" $BOOTCONFIG
+        if [ -n "$efi" ]; then
+            sed -i -e "s;vmlinuz;vmlinuz repo=hd:$TGTLABEL:/;g" $BOOTCONFIG_EFI
+        fi
+    else
+        echo "Copying package data from $SRC to device"
+        rsync --inplace -rLDP --exclude EFI/ --exclude images/ --exclude isolinux/ \
+            --exclude TRANS.TBL --exclude LiveOS/ "$SRCMNT/" "$TGTMNT/"
+    fi
+    echo "Waiting for device to finish writing"
+    sync
+fi
+
+if [ "$srctype" = "live" ]; then
     # Copy this installer script.
     cp -fTp "$thisScriptpath" $TGTMNT/$LIVEOS/livecd-iso-to-disk &amp;amp;&amp;gt; /dev/null
 
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1230,14 +1178,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     sed -i -e "s;findiso;;g" $BOOTCONFIG_EFI
 fi
 
-# Add repo= to point to the source .iso with the packages
-if [[ -n "$packages" ]]; then
-    sed -i -e "s;initrd.img;initrd.img repo=hd:$REPOLABEL:/;g" $BOOTCONFIG
-    if [ -n "$efi" ]; then
-        sed -i -e "s;vmlinuz;vmlinuz repo=hd:$REPOLABEL:/;g" $BOOTCONFIG_EFI
-    fi
-fi
-
 # DVD Installer for netinst
 if [ "$srctype" != "live" ]; then
     if [ "$imgtype" = "install" ]; then


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-07T23:50:56</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4904">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-18.5'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4904</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-18.5' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-05-03 23:41 +0000

Tag as livecd-tools-18.5
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT6MXjRF+jBaO/jp/AQLvnwf/bPgweAvoH0b4JegGNVaZSYzk/7Xf3Cbl
bM5BZ5YZ2ysRCAdgOB/9+oZ5ImvnrUBLmrQz2NsWUs3WbkyP9Ayu3cqWXJGcmN+h
ijsJ7KFkwyJhoFZ4elwjBcGUDuxMuwyORrUH8dJAS14pHS7rxzmRg+4HUYM/qvy9
zss8q2EGKO8xv6ZaCovPJpkRkwREEiXPx6QaKEPYLpDou5EGYO2fe8EkqOaR8tF8
LiwLzNfNhITlm2YQ5ga47ZPxelP5nW2ZqTOpCm7EWZ1JDRE40faR11mWVQnwrI5C
MUvTs4RNHcfURML4qaHztDxtkN14KNZ6EREKRm6Bcfti3Gp5KBAlnw==
=1diu
-----END PGP SIGNATURE-----

Changes since livecd-tools-18.4:
Brian C. Lane (2):
      copy repo data to USB for F17 (#806166)
      Version 18.5

Matthew Garrett (1):
      Include Mac volume name graphic

---
 Makefile                    |    2 
 imgcreate/live.py           |    1 
 tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 3 files changed, 45 insertions(+), 128 deletions(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:41:18</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4903">
    <title>[Fedora-livecd-list] Makefile</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4903</link>
    <description>&lt;pre&gt; Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

New commits:
commit ef8e3af5149267995b2bb57144f0a55cea2e0248
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu May 3 16:40:51 2012 -0700

    Version 18.5

diff --git a/Makefile b/Makefile
index fa54bf0..a75aa08 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 18.4
+VERSION = 18.5
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:41:12</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4902">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-17.11'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4902</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-17.11' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-05-03 23:20 +0000

Tag as livecd-tools-17.11
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT6MS1xF+jBaO/jp/AQJJ+AgAiS7Mw5CQtDArqFM8tIQkciquEWFx+YIp
+sT6S8S6k8lRpjXTPkly4SCr5HILq1eEtTvzR3kF9c31+02rPhURvUvEU9Wa9vlG
UvlLAfkacueGq9JX8oktI1LfVmfrORUkarwCrzMfEopIQxFbsjQQN4/hQw/xlY5i
p0IAKzAE1fG610VGLergEQk829cCCG6OlzrZxDT4Sva8ZmPpVIia/p0f167lPeXu
6LYm10OV7vdILKtxasWKSKVA1aC4UdmSN8cLVk86JhepG4Uprtblh9ppV4Cywc0g
HYitlYQfRfoWF6A/J/dDgxqHxVAG3nWw87yuOcnBIzdRvbl1vLE0aw==
=xLr4
-----END PGP SIGNATURE-----

Changes since livecd-tools-17.10:
Brian C. Lane (1):
      Version 17.11

Matthew Garrett (1):
      Include Mac volume name graphic

---
 Makefile          |    2 +-
 imgcreate/live.py |    1 +
 2 files changed, 2 insertions(+), 1 deletion(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:21:20</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4901">
    <title>[Fedora-livecd-list] Branch 'f17-branch' - Makefile</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4901</link>
    <description>&lt;pre&gt; Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

New commits:
commit 6b4540f6ae0b2ffa4b11d111d0dc85e073bb5ebc
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu May 3 16:20:42 2012 -0700

    Version 17.11

diff --git a/Makefile b/Makefile
index 4f2ddfe..49fba36 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 17.10
+VERSION = 17.11
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:21:15</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4900">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-16.15'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4900</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-16.15' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-05-03 23:03 +0000

Tag as livecd-tools-16.15
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT6MOrBF+jBaO/jp/AQK/OQgAmga/VYrLyJ07rOUy2BUxTeP2DdsrhAsz
vRX78TpfgqmIBGA2oTz324AsN18Ro1Nv5KoKdvePCqVaL+w2V1HGFx4e77457uHw
0yvOMRwMSZXemLjd9dBdNT9Aje33knQ/5c5Zlqq2ALQL+hFfttqlbxltMVNM/8c3
eVXMF9phJVUS6N/szwWhCo+Ha2VelPHb2Zxa1A0a2M5x8ENVzXmD5cKdM+sTakUo
8VbAXX/hp2+2wWHCOKJ0KxL1lYCzN/6eal4hyhktpap5Mh999rQYTICt7dMcSiMq
806dZqrV8faUDW5xIcuM4OW49OOfG2x5IJ3bypXlz8VHwNPXZrTPFg==
=INC5
-----END PGP SIGNATURE-----

Changes since livecd-tools-16.14:
Brian C. Lane (2):
      isohybrid on f16 doesn't support -u or -m
      Version 16.15

Matthew Garrett (1):
      Include Mac volume name graphic

---
 Makefile          |    2 +-
 imgcreate/live.py |    6 ++----
 2 files changed, 3 insertions(+), 5 deletions(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:03:27</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4899">
    <title>[Fedora-livecd-list] Branch 'f16-branch' - 2 commits -imgcreate/live.py Makefile</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4899</link>
    <description>&lt;pre&gt; Makefile          |    2 +-
 imgcreate/live.py |    5 +----
 2 files changed, 2 insertions(+), 5 deletions(-)

New commits:
commit 80f4d827ef34e1344aa91460f27a13145614115d
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu May 3 16:02:41 2012 -0700

    Version 16.15

diff --git a/Makefile b/Makefile
index 52821b8..b5c389d 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 16.14
+VERSION = 16.15
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit b6705d5f22cceead3ceb3bad2141bc4bcf6c492f
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu May 3 14:35:19 2012 -0700

    isohybrid on f16 doesn't support -u or -m

diff --git a/imgcreate/live.py b/imgcreate/live.py
index c973089..53c9665 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -319,10 +319,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; class LiveImageCreatorBase(LoopImageCreator):
             raise CreatorError("ISO creation failed!")
 
         if os.path.exists("/usr/bin/isohybrid"):
-            if os.path.exists(isodir + "/isolinux/efiboot.img"):
-                subprocess.call(["/usr/bin/isohybrid", "-u", "-m", iso])
-            else:
-                subprocess.call(["/usr/bin/isohybrid", iso])
+            subprocess.call(["/usr/bin/isohybrid", iso])
 
         self.__implant_md5sum(iso)
 


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-03T23:03:21</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4895">
    <title>[Fedora-livecd-list] Branch 'f16-branch' - imgcreate/live.py</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4895</link>
    <description>&lt;pre&gt; imgcreate/live.py |    1 +
 1 file changed, 1 insertion(+)

New commits:
commit 5fca49c44b82a175afd4bb2179d371b1b40f52c1
Author: Matthew Garrett &amp;lt;mjg&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Wed May 2 13:17:57 2012 -0400

    Include Mac volume name graphic
    
    We need to pass an extra argument to mkefiboot in order to get it to build
    in the media name.

diff --git a/imgcreate/live.py b/imgcreate/live.py
index b9867a5..c973089 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -236,6 +236,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; class LiveImageCreatorBase(LoopImageCreator):
                          isodir + "/isolinux/efiboot.img"])
         subprocess.call(["mkefiboot", "-a", isodir + "/EFI/BOOT",
                          isodir + "/isolinux/macboot.img", "-l", self.product,
+                         "-n", "/usr/share/pixmaps/bootloader/fedora-media.vol",
                          "-i", "/usr/share/pixmaps/bootloader/fedora.icns",
                          "-p", self.product])
 


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-02T22:52:54</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4894">
    <title>[Fedora-livecd-list] Branch 'f17-branch' - imgcreate/live.py</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4894</link>
    <description>&lt;pre&gt; imgcreate/live.py |    1 +
 1 file changed, 1 insertion(+)

New commits:
commit 2c514b825ab294c36ba252beb3be10fae5f2ec02
Author: Matthew Garrett &amp;lt;mjg&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Wed May 2 13:17:57 2012 -0400

    Include Mac volume name graphic
    
    We need to pass an extra argument to mkefiboot in order to get it to build
    in the media name.

diff --git a/imgcreate/live.py b/imgcreate/live.py
index a73d7f0..cd022a5 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -236,6 +236,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; class LiveImageCreatorBase(LoopImageCreator):
                          isodir + "/isolinux/efiboot.img"])
         subprocess.call(["mkefiboot", "-a", isodir + "/EFI/BOOT",
                          isodir + "/isolinux/macboot.img", "-l", self.product,
+                         "-n", "/usr/share/pixmaps/bootloader/fedora-media.vol",
                          "-i", "/usr/share/pixmaps/bootloader/fedora.icns",
                          "-p", self.product])
 


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-02T22:52:35</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4893">
    <title>[Fedora-livecd-list] imgcreate/live.py</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4893</link>
    <description>&lt;pre&gt; imgcreate/live.py |    1 +
 1 file changed, 1 insertion(+)

New commits:
commit c569eeb7e3caf6f1699a53d1661b78b99732107b
Author: Matthew Garrett &amp;lt;mjg&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Wed May 2 13:17:57 2012 -0400

    Include Mac volume name graphic
    
    We need to pass an extra argument to mkefiboot in order to get it to build
    in the media name.

diff --git a/imgcreate/live.py b/imgcreate/live.py
index a73d7f0..cd022a5 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -236,6 +236,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; class LiveImageCreatorBase(LoopImageCreator):
                          isodir + "/isolinux/efiboot.img"])
         subprocess.call(["mkefiboot", "-a", isodir + "/EFI/BOOT",
                          isodir + "/isolinux/macboot.img", "-l", self.product,
+                         "-n", "/usr/share/pixmaps/bootloader/fedora-media.vol",
                          "-i", "/usr/share/pixmaps/bootloader/fedora.icns",
                          "-p", self.product])
 


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-05-02T22:52:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4889">
    <title>[Fedora-livecd-list] FYI latest F16 version</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4889</link>
    <description>&lt;pre&gt;F16 32b LXDE totally up to date (in a vmware vm)
Latest test version:  yum update --enablerepo=updates-testing livecd-tools
livecd-tools.i686                1:16.14-1.fc16
&amp;lt; at &amp;gt;updates-testing

gives this:

...
0 old database entries were purged.
*********************************************************************************
I: -input-charset not specified, using utf-8 (detected in locale settings)
Size of boot image is 4 sectors -&amp;gt; No emulation
Size of boot image is 1912 sectors -&amp;gt; No emulation
genisoimage: Uh oh, I cant find the boot image 'isolinux/macboot.img' !
Error creating Live CD : ISO creation failed!


Worked fine until the most recent updates using all the same .ks files.



&lt;/pre&gt;</description>
    <dc:creator>Randy Prakken</dc:creator>
    <dc:date>2012-05-01T20:21:47</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4886">
    <title>[Fedora-livecd-list] Space available 8GB USB Device</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4886</link>
    <description>&lt;pre&gt;Hi guys!

I'm having problems of space when i try add more packages in live image.

I'm using the command:
livecd-iso-to-disk-oc --noverify --home-size-mb 2048 --overlay-size-mb 2048
${ISO} ${LOOP}

*


getdisk DEV = /dev/loop2
Unable to fit live image + overlay on available space on USB
stick
+ Size of live image:  2986
+ Overlay size:  2048
+ Home overlay size:  2048
---------------------------
= Requested:  7082- Available:  7075
---------------------------
= To fit, free or decrease requested size total by:  7
Cleaning up to exit...*
*


*


My question is: Which parameter can set the total space of my 8G pendrive?
Why the space is limited in 7075?


Thanks a lot!

&lt;/pre&gt;</description>
    <dc:creator>Cadu</dc:creator>
    <dc:date>2012-05-01T19:27:42</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4878">
    <title>[Fedora-livecd-list] Fedora livecd 16</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4878</link>
    <description>&lt;pre&gt;Hi, 
 
I have to update the firmware on an HP server where there is currently a virtunalization product installed. I was told I should install RedHat 6 update 2, update the firmware, and then reinstall the virtualization environment. This solution is not viable. All this, because a RedHat or Oracle Linux livecd is nowhere to be found. 
 
I was wondering if the Fedora livecd v.16 contains the ld-linux.so.2 library, which is where the Oracle Linux 6 update 2 "boot disk" is failing currently.
 
How compatible is Fedora with Red Hat and (Oracle Linux)?
 
I guess it is worth a try, but wanted an opinion from you experts. :o)
 
Thanks!
T.--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Teresa Millan Fernandez</dc:creator>
    <dc:date>2012-04-28T11:24:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4876">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-16.14'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4876</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-16.14' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-04-26 22:13 +0000

Tag as livecd-tools-16.14
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT5nIlxF+jBaO/jp/AQLqZwf/TSEDGFobv4EQzrbE4r7jyR6znfIuKFAv
fBGZc1OTU4Q74y8Ap1PEgR0ujlTQFMOff8gMGl3Ef+VzrRRGPFnDFtr9+AzAt4zC
6lg/c6Y7cyQ960HSiDoyET/atHEAsTXjFRiJjZVk+Oz19JBFg3lzAGHwM5iWb9PZ
ZTUPGnyvahJkiB5g1271GsriIXU/FckjPDnC+eJkersYQ79n5X/eU7V+NKyymSkW
/LN3xEIJBaWP4o7hITtdpDck6vTMjf67AX2OozcMUAKQIEC5OcuyGm/IZ9xAtYo/
eYBdjssjqRXzW8lDUsAjdtSEKWTs/eVGt0jcRT/EBzZk3lQRsixCHA==
=5Gt6
-----END PGP SIGNATURE-----

Changes since livecd-tools-16.13:
Brian C. Lane (2):
      copy repo data to USB for F17 (#806166)
      Version 16.14

---
 Makefile                    |    2 
 tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 2 files changed, 44 insertions(+), 128 deletions(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T22:14:33</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4875">
    <title>[Fedora-livecd-list] Branch 'f16-branch' - 2 commits - Makefiletools/livecd-iso-to-disk.sh</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4875</link>
    <description>&lt;pre&gt; Makefile                    |    2 
 tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 2 files changed, 44 insertions(+), 128 deletions(-)

New commits:
commit 1b6c8fa6d39cae100fe382ea6940560587ef9307
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 15:13:39 2012 -0700

    Version 16.14

diff --git a/Makefile b/Makefile
index f9a927e..52821b8 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 16.13
+VERSION = 16.14
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit c3c1a01674c2a734ea057658f90a20a2f270e4fc
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 14:43:41 2012 -0700

    copy repo data to USB for F17 (#806166)
    
    Fedora 17 runs from the media so repo= cannot be used to mount the same
    device for access to the repo so we now copy the repodata from the iso
    over to the / of the USB. This requires anaconda-17.23-1 or later.
    
    For releases before F17 the iso is still copied and repo= is setup to
    point to it.
    
    This reverts the use of 2 partitions that was used to work around this.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 37abae0..15de42d 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -276,14 +276,11 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; cleanup() {
     sleep 2
     [ -d "$SRCMNT" ] &amp;amp;&amp;amp; umount $SRCMNT &amp;amp;&amp;amp; rmdir $SRCMNT
     [ -d "$TGTMNT" ] &amp;amp;&amp;amp; umount $TGTMNT &amp;amp;&amp;amp; rmdir $TGTMNT
-    if [ -n "$REPOMNT" ]; then
-        [ -d "$REPOMNT" ] &amp;amp;&amp;amp; umount $REPOMNT &amp;amp;&amp;amp; rmdir $REPOMNT
-    fi
 }
 
 exitclean() {
     RETVAL=$?
-    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ] || [ -n "$REPOMNT" ];
+    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ];
     then
         [ "$RETVAL" = 0 ] || echo "Cleaning up to exit..."
         cleanup
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -423,16 +420,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     /sbin/parted --script $device mklabel gpt
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -442,11 +430,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart '"EFI System Partition"' fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart '"LIVE REPO"' fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -455,12 +438,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createMSDOSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -475,16 +452,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     /sbin/parted --script $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -494,11 +462,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -511,12 +474,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createEXTFSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -531,16 +488,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     /sbin/parted -s $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted -s -m $device "u MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -550,11 +498,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary ext2 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary ext2 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -570,12 +513,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     fi
     $mkfs -L LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        $mkfs -L LIVE-REPO $REPODEV
-    fi
 }
 
 checkGPT() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -650,25 +587,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; checkFilesystem() {
     fi
 }
 
-# Check partition 2 to see if it has been setup as LIVE-REPO
-# Setup REPODEV for later use
-findLIVEREPO() {
-    dev=$1
-    getdisk $dev
-
-    if [ -b ${device}2 ]; then
-        label=$(/sbin/blkid -s LABEL -o value ${device}2)
-        if [ "$label" == "LIVE-REPO" ]; then
-            echo "Found LIVE-REPO on ${device}2"
-            REPODEV=${device}2
-            return
-        fi
-    fi
-    echo "DVD installs need a second partition labeled LIVE-REPO."
-    echo "This is setup when you use --format"
-    exitclean
-}
-
 checkSyslinuxVersion() {
     if [ ! -x /usr/bin/syslinux ]; then
         echo "You need to have syslinux installed to run this script"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -710,9 +628,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 detectsrctype() {
     if [[ -e "$SRCMNT/Packages" ]]; then
-        # This will cause the source .iso to be copied to a second partiton
-        # on the target and the boot args to have repo=... pointing to the iso
-        echo "/Packages found, will copy source .iso to target"
+        echo "/Packages found, will copy source packages to target"
         packages=1
     fi
     if [[ -e "$SRCMNT/LiveOS/squashfs.img" ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -947,9 +863,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$format" -a -z "$skipcopy" ]; then
     else
         createEXTFSLayout $TGTDEV
     fi
-elif [ -n "$packages" ]; then
-    # Need the LIVE-REPO partition to copy the .iso to
-    findLIVEREPO $TGTDEV
 fi
 
 checkFilesystem $TGTDEV
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -993,11 +906,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 TGTMNT=$(mktemp -d /media/tgttmp.XXXXXX)
 mount $mountopts $TGTDEV $TGTMNT || exitclean
-if [ -n "$REPODEV" ]; then
-    REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    REPOMNT=$(mktemp -d /media/repotmp.XXXXXX)
-    mount $mountopts $REPODEV $REPOMNT || exitclean
-fi
 
 trap exitclean SIGINT SIGTERM
 
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1163,27 +1071,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ "$srctype" = "live" -a -z "$skipcopy" ]; then
     sync
 fi
 
-# DVD installer copy
-# Also copies over the source .iso if the image is a new-style LiveOS DVD (F17+)
-if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
-    echo "Copying DVD image to target device."
-    mkdir -p $TGTMNT/images/
-    if [ "$imgtype" = "install" ]; then
-        for img in install.img updates.img product.img; do
-            if [ -e $SRCMNT/images/$img ]; then
-                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
-            fi
-        done
-    fi
-fi
-
-# Copy source .iso to repo partition
-if [ -n "$packages" -a -z "$skipcopy" -a -n "$REPOMNT" ]; then
-    echo "Copying $SRC"
-    copyFile "$SRC" $REPOMNT/
-    sync
-fi
-
 # Adjust syslinux sources for replication of installed images
 # between filesystem types.
 if [[ -d $SRCMNT/isolinux/ ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1201,6 +1088,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; BOOTCONFIG=$TGTMNT/$SYSLINUXPATH/isolinux.cfg
 # Set this to nothing so sed doesn't care
 BOOTCONFIG_EFI=
 if [ -n "$efi" ]; then
+    echo "Setting up $EFI_BOOT"
     cp $SRCMNT$EFI_BOOT/* $TGTMNT$EFI_BOOT
 
     # FIXME
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1240,7 +1128,43 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     fi
 fi
 
-if [[ live == $srctype ]]; then
+# DVD installer copy
+if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
+    echo "Copying DVD image to target device."
+    mkdir -p $TGTMNT/images/
+    if [ "$imgtype" = "install" ]; then
+        for img in install.img updates.img product.img; do
+            if [ -e $SRCMNT/images/$img ]; then
+                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
+            fi
+        done
+    fi
+fi
+
+# Copy packages over.
+# Before Fedora17 we could copy the .iso and setup a repo=
+# F17 and later look for repodata on the source media.
+# The presence of packages and LiveOS indicates F17 or later.
+if [ -n "$packages" -a -z "$skipcopy" ]; then
+    if [ "$srctype" != "live" ]; then
+        echo "Copying $SRC to device"
+        copyFile "$SRC" "$TGTMNT/"
+
+        # Setup a repo= to point to the .iso
+        sed -i -e "s;initrd.img;initrd.img repo=hd:$TGTLABEL:/;g" $BOOTCONFIG
+        if [ -n "$efi" ]; then
+            sed -i -e "s;vmlinuz;vmlinuz repo=hd:$TGTLABEL:/;g" $BOOTCONFIG_EFI
+        fi
+    else
+        echo "Copying package data from $SRC to device"
+        rsync --inplace -rLDP --exclude EFI/ --exclude images/ --exclude isolinux/ \
+            --exclude TRANS.TBL --exclude LiveOS/ "$SRCMNT/" "$TGTMNT/"
+    fi
+    echo "Waiting for device to finish writing"
+    sync
+fi
+
+if [ "$srctype" = "live" ]; then
     # Copy this installer script.
     cp -fT "$thisScriptpath" $TGTMNT/$LIVEOS/livecd-iso-to-disk
     chmod +x $TGTMNT/$LIVEOS/livecd-iso-to-disk &amp;amp;&amp;gt; /dev/null || :
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1278,14 +1202,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     sed -i -e "s;findiso;;g" $BOOTCONFIG_EFI
 fi
 
-# Add repo= to point to the source .iso with the packages
-if [[ -n "$packages" ]]; then
-    sed -i -e "s;initrd.img;initrd.img repo=hd:$REPOLABEL:/;g" $BOOTCONFIG
-    if [ -n "$efi" ]; then
-        sed -i -e "s;vmlinuz;vmlinuz repo=hd:$REPOLABEL:/;g" $BOOTCONFIG_EFI
-    fi
-fi
-
 # DVD Installer for netinst
 if [ "$srctype" != "live" ]; then
     if [ "$imgtype" = "install" ]; then


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T22:14:08</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4874">
    <title>[Fedora-livecd-list] Changes to 'refs/tags/livecd-tools-17.10'</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4874</link>
    <description>&lt;pre&gt;Tag 'livecd-tools-17.10' created by Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt; at 2012-04-26 21:57 +0000

Tag as livecd-tools-17.10
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEVAwUAT5nEwBF+jBaO/jp/AQI/iAf9FQBiNXRRpwdAhYi7J3AklMlUKUNH7lwD
RBYI4GbJYDvLstdzBl74vhRxUuVFVqgxGZk/9MmR1EdNXVKJL+MaQeQHnjFAYyb0
pXaZlEKtnKYKvLxtm4GKR+XYlZRlr+xdA46vAwbgYvKT36ew9OEAFGn7VF9AEhAF
pvN7cP0kJ9eNBOqJSxyuhbUIZrFCmbwBMabguyzTyYWPW8A94LMOfh/gEdtcXcRk
JWVkRttHy6sALFx4ktqwenGJMF5/vx50l0gfRBS51hJ25NIh0iTYxFQmAN/MejE7
1TNrAHobQK9qxMOk/Y5aBqsXc7CJNYUdJCWaUa0XnHW3/MQ2sM8UZw==
=lvKv
-----END PGP SIGNATURE-----

Changes since livecd-tools-17.9:
Brian C. Lane (2):
      copy repo data to USB for F17 (#806166)
      Version 17.10

---
 Makefile                    |    2 
 tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 2 files changed, 44 insertions(+), 128 deletions(-)
---
--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T21:58:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4873">
    <title>[Fedora-livecd-list] Branch 'f17-branch' - Makefile</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4873</link>
    <description>&lt;pre&gt; Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

New commits:
commit 7cd22cda37b7e52114cda6cccbc1c9024fada4d8
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 14:57:01 2012 -0700

    Version 17.10

diff --git a/Makefile b/Makefile
index 0667a0b..4f2ddfe 100644
--- a/Makefile
+++ b/Makefile
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1,5 +1,5 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 
-VERSION = 17.9
+VERSION = 17.10
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T21:57:43</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4872">
    <title>[Fedora-livecd-list] Branch 'f17-branch' -tools/livecd-iso-to-disk.sh</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4872</link>
    <description>&lt;pre&gt; tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 1 file changed, 43 insertions(+), 127 deletions(-)

New commits:
commit 2a85f65f0988a30ff5f869aa5410f9b3af148241
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 14:43:41 2012 -0700

    copy repo data to USB for F17 (#806166)
    
    Fedora 17 runs from the media so repo= cannot be used to mount the same
    device for access to the repo so we now copy the repodata from the iso
    over to the / of the USB. This requires anaconda-17.23-1 or later.
    
    For releases before F17 the iso is still copied and repo= is setup to
    point to it.
    
    This reverts the use of 2 partitions that was used to work around this.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 95f0fae..7df49c2 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -276,14 +276,11 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; cleanup() {
     sleep 2
     [ -d "$SRCMNT" ] &amp;amp;&amp;amp; umount $SRCMNT &amp;amp;&amp;amp; rmdir $SRCMNT
     [ -d "$TGTMNT" ] &amp;amp;&amp;amp; umount $TGTMNT &amp;amp;&amp;amp; rmdir $TGTMNT
-    if [ -n "$REPOMNT" ]; then
-        [ -d "$REPOMNT" ] &amp;amp;&amp;amp; umount $REPOMNT &amp;amp;&amp;amp; rmdir $REPOMNT
-    fi
 }
 
 exitclean() {
     RETVAL=$?
-    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ] || [ -n "$REPOMNT" ];
+    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ];
     then
         [ "$RETVAL" = 0 ] || echo "Cleaning up to exit..."
         cleanup
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -423,16 +420,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     /sbin/parted --script $device mklabel gpt
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -442,11 +430,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart '"EFI System Partition"' fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart '"LIVE REPO"' fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -455,12 +438,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createMSDOSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -475,16 +452,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     /sbin/parted --script $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -494,11 +462,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -511,12 +474,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createEXTFSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -531,16 +488,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     /sbin/parted -s $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted -s -m $device "u MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -550,11 +498,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary ext2 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary ext2 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -570,12 +513,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     fi
     $mkfs -L LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        $mkfs -L LIVE-REPO $REPODEV
-    fi
 }
 
 checkGPT() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -650,25 +587,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; checkFilesystem() {
     fi
 }
 
-# Check partition 2 to see if it has been setup as LIVE-REPO
-# Setup REPODEV for later use
-findLIVEREPO() {
-    dev=$1
-    getdisk $dev
-
-    if [ -b ${device}2 ]; then
-        label=$(/sbin/blkid -s LABEL -o value ${device}2)
-        if [ "$label" == "LIVE-REPO" ]; then
-            echo "Found LIVE-REPO on ${device}2"
-            REPODEV=${device}2
-            return
-        fi
-    fi
-    echo "DVD installs need a second partition labeled LIVE-REPO."
-    echo "This is setup when you use --format"
-    exitclean
-}
-
 checkSyslinuxVersion() {
     if [ ! -x /usr/bin/syslinux ]; then
         echo "You need to have syslinux installed to run this script"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -710,9 +628,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 detectsrctype() {
     if [[ -e "$SRCMNT/Packages" ]]; then
-        # This will cause the source .iso to be copied to a second partiton
-        # on the target and the boot args to have repo=... pointing to the iso
-        echo "/Packages found, will copy source .iso to target"
+        echo "/Packages found, will copy source packages to target"
         packages=1
     fi
     if [[ -e "$SRCMNT/LiveOS/squashfs.img" ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -947,9 +863,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$format" -a -z "$skipcopy" ]; then
     else
         createEXTFSLayout $TGTDEV
     fi
-elif [ -n "$packages" ]; then
-    # Need the LIVE-REPO partition to copy the .iso to
-    findLIVEREPO $TGTDEV
 fi
 
 checkFilesystem $TGTDEV
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -993,11 +906,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 TGTMNT=$(mktemp -d /media/tgttmp.XXXXXX)
 mount $mountopts $TGTDEV $TGTMNT || exitclean
-if [ -n "$REPODEV" ]; then
-    REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    REPOMNT=$(mktemp -d /media/repotmp.XXXXXX)
-    mount $mountopts $REPODEV $REPOMNT || exitclean
-fi
 
 trap exitclean SIGINT SIGTERM
 
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1163,27 +1071,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ "$srctype" = "live" -a -z "$skipcopy" ]; then
     sync
 fi
 
-# DVD installer copy
-# Also copies over the source .iso if the image is a new-style LiveOS DVD (F17+)
-if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
-    echo "Copying DVD image to target device."
-    mkdir -p $TGTMNT/images/
-    if [ "$imgtype" = "install" ]; then
-        for img in install.img updates.img product.img; do
-            if [ -e $SRCMNT/images/$img ]; then
-                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
-            fi
-        done
-    fi
-fi
-
-# Copy source .iso to repo partition
-if [ -n "$packages" -a -z "$skipcopy" -a -n "$REPOMNT" ]; then
-    echo "Copying $SRC"
-    copyFile "$SRC" $REPOMNT/
-    sync
-fi
-
 # Adjust syslinux sources for replication of installed images
 # between filesystem types.
 if [[ -d $SRCMNT/isolinux/ ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1201,6 +1088,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; BOOTCONFIG=$TGTMNT/$SYSLINUXPATH/isolinux.cfg
 # Set this to nothing so sed doesn't care
 BOOTCONFIG_EFI=
 if [ -n "$efi" ]; then
+    echo "Setting up $EFI_BOOT"
     cp $SRCMNT$EFI_BOOT/* $TGTMNT$EFI_BOOT
 
     # FIXME
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1240,7 +1128,43 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     fi
 fi
 
-if [[ live == $srctype ]]; then
+# DVD installer copy
+if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
+    echo "Copying DVD image to target device."
+    mkdir -p $TGTMNT/images/
+    if [ "$imgtype" = "install" ]; then
+        for img in install.img updates.img product.img; do
+            if [ -e $SRCMNT/images/$img ]; then
+                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
+            fi
+        done
+    fi
+fi
+
+# Copy packages over.
+# Before Fedora17 we could copy the .iso and setup a repo=
+# F17 and later look for repodata on the source media.
+# The presence of packages and LiveOS indicates F17 or later.
+if [ -n "$packages" -a -z "$skipcopy" ]; then
+    if [ "$srctype" != "live" ]; then
+        echo "Copying $SRC to device"
+        copyFile "$SRC" "$TGTMNT/"
+
+        # Setup a repo= to point to the .iso
+        sed -i -e "s;initrd.img;initrd.img repo=hd:$TGTLABEL:/;g" $BOOTCONFIG
+        if [ -n "$efi" ]; then
+            sed -i -e "s;vmlinuz;vmlinuz repo=hd:$TGTLABEL:/;g" $BOOTCONFIG_EFI
+        fi
+    else
+        echo "Copying package data from $SRC to device"
+        rsync --inplace -rLDP --exclude EFI/ --exclude images/ --exclude isolinux/ \
+            --exclude TRANS.TBL --exclude LiveOS/ "$SRCMNT/" "$TGTMNT/"
+    fi
+    echo "Waiting for device to finish writing"
+    sync
+fi
+
+if [ "$srctype" = "live" ]; then
     # Copy this installer script.
     cp -fT "$thisScriptpath" $TGTMNT/$LIVEOS/livecd-iso-to-disk
     chmod +x $TGTMNT/$LIVEOS/livecd-iso-to-disk &amp;amp;&amp;gt; /dev/null || :
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1278,14 +1202,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     sed -i -e "s;findiso;;g" $BOOTCONFIG_EFI
 fi
 
-# Add repo= to point to the source .iso with the packages
-if [[ -n "$packages" ]]; then
-    sed -i -e "s;initrd.img;initrd.img repo=hd:$REPOLABEL:/;g" $BOOTCONFIG
-    if [ -n "$efi" ]; then
-        sed -i -e "s;vmlinuz;vmlinuz repo=hd:$REPOLABEL:/;g" $BOOTCONFIG_EFI
-    fi
-fi
-
 # DVD Installer for netinst
 if [ "$srctype" != "live" ]; then
     if [ "$imgtype" = "install" ]; then


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T21:50:37</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4871">
    <title>[Fedora-livecd-list] tools/livecd-iso-to-disk.sh</title>
    <link>http://comments.gmane.org/gmane.linux.redhat.fedora.livecd/4871</link>
    <description>&lt;pre&gt; tools/livecd-iso-to-disk.sh |  170 +++++++++++---------------------------------
 1 file changed, 43 insertions(+), 127 deletions(-)

New commits:
commit 93310a734449754203b1653ac82d072259e7ff67
Author: Brian C. Lane &amp;lt;bcl&amp;lt; at &amp;gt;redhat.com&amp;gt;
Date:   Thu Apr 26 14:43:41 2012 -0700

    copy repo data to USB for F17 (#806166)
    
    Fedora 17 runs from the media so repo= cannot be used to mount the same
    device for access to the repo so we now copy the repodata from the iso
    over to the / of the USB. This requires anaconda-17.23-1 or later.
    
    For releases before F17 the iso is still copied and repo= is setup to
    point to it.
    
    This reverts the use of 2 partitions that was used to work around this.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 95f0fae..7df49c2 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -276,14 +276,11 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; cleanup() {
     sleep 2
     [ -d "$SRCMNT" ] &amp;amp;&amp;amp; umount $SRCMNT &amp;amp;&amp;amp; rmdir $SRCMNT
     [ -d "$TGTMNT" ] &amp;amp;&amp;amp; umount $TGTMNT &amp;amp;&amp;amp; rmdir $TGTMNT
-    if [ -n "$REPOMNT" ]; then
-        [ -d "$REPOMNT" ] &amp;amp;&amp;amp; umount $REPOMNT &amp;amp;&amp;amp; rmdir $REPOMNT
-    fi
 }
 
 exitclean() {
     RETVAL=$?
-    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ] || [ -n "$REPOMNT" ];
+    if [ -d "$SRCMNT" ] || [ -d "$TGTMNT" ];
     then
         [ "$RETVAL" = 0 ] || echo "Cleaning up to exit..."
         cleanup
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -423,16 +420,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     /sbin/parted --script $device mklabel gpt
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -442,11 +430,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart '"EFI System Partition"' fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart '"LIVE REPO"' fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -455,12 +438,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createGPTLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createMSDOSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -475,16 +452,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     /sbin/parted --script $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted --script -m $device "unit MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -494,11 +462,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary fat32 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary fat32 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -511,12 +474,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createMSDOSLayout() {
     umount $TGTDEV &amp;amp;&amp;gt; /dev/null || :
     /sbin/mkdosfs -n LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        /sbin/mkdosfs -n LIVE-REPO $REPODEV
-    fi
 }
 
 createEXTFSLayout() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -531,16 +488,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     /sbin/parted -s $device mklabel msdos
     partinfo=$(LC_ALL=C /sbin/parted -s -m $device "u MB print" |grep ^$device:)
     dev_size=$(echo $partinfo |cut -d : -f 2 |sed -e 's/MB$//')
-
-    # Is a 2nd partition needed for package iso?
-    if [ -n "$packages" ]; then
-        src_size=$(du -s -B 1MB "$SRC" | awk {'print $1;'})
-        # iso size + 7% of slop for filesystem metadata
-        p2_size=$(($src_size * 107 / 100))
-    else
-        p2_size=0
-    fi
-    p1_size=$(($dev_size - 3 - $p2_size))
+    p1_size=$(($dev_size - 3))
 
     if [ $p1_size -le 0 ]; then
         echo "Your device isn't big enough to hold $SRC"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -550,11 +498,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     p1_start=1
     p1_end=$(($p1_size + 1))
     /sbin/parted -s $device u MB mkpart primary ext2 $p1_start $p1_end set 1 boot on
-    if [ $p2_size -gt 0 ]; then
-        p2_start=$p1_end
-        p2_end=$(($p2_size + $p2_start))
-        /sbin/parted -s $device u MB mkpart primary ext2 $p2_start $p2_end
-    fi
     # Sometimes automount can be _really_ annoying.
     echo "Waiting for devices to settle..."
     /sbin/udevadm settle
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -570,12 +513,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; createEXTFSLayout() {
     fi
     $mkfs -L LIVE $TGTDEV
     TGTLABEL="UUID=$(/sbin/blkid -s UUID -o value $TGTDEV)"
-
-    if [ $p2_size -gt 0 ]; then
-        REPODEV=${device}2
-        umount $REPODEV &amp;amp;&amp;gt; /dev/null || :
-        $mkfs -L LIVE-REPO $REPODEV
-    fi
 }
 
 checkGPT() {
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -650,25 +587,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; checkFilesystem() {
     fi
 }
 
-# Check partition 2 to see if it has been setup as LIVE-REPO
-# Setup REPODEV for later use
-findLIVEREPO() {
-    dev=$1
-    getdisk $dev
-
-    if [ -b ${device}2 ]; then
-        label=$(/sbin/blkid -s LABEL -o value ${device}2)
-        if [ "$label" == "LIVE-REPO" ]; then
-            echo "Found LIVE-REPO on ${device}2"
-            REPODEV=${device}2
-            return
-        fi
-    fi
-    echo "DVD installs need a second partition labeled LIVE-REPO."
-    echo "This is setup when you use --format"
-    exitclean
-}
-
 checkSyslinuxVersion() {
     if [ ! -x /usr/bin/syslinux ]; then
         echo "You need to have syslinux installed to run this script"
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -710,9 +628,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 detectsrctype() {
     if [[ -e "$SRCMNT/Packages" ]]; then
-        # This will cause the source .iso to be copied to a second partiton
-        # on the target and the boot args to have repo=... pointing to the iso
-        echo "/Packages found, will copy source .iso to target"
+        echo "/Packages found, will copy source packages to target"
         packages=1
     fi
     if [[ -e "$SRCMNT/LiveOS/squashfs.img" ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -947,9 +863,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$format" -a -z "$skipcopy" ]; then
     else
         createEXTFSLayout $TGTDEV
     fi
-elif [ -n "$packages" ]; then
-    # Need the LIVE-REPO partition to copy the .iso to
-    findLIVEREPO $TGTDEV
 fi
 
 checkFilesystem $TGTDEV
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -993,11 +906,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; fi
 
 TGTMNT=$(mktemp -d /media/tgttmp.XXXXXX)
 mount $mountopts $TGTDEV $TGTMNT || exitclean
-if [ -n "$REPODEV" ]; then
-    REPOLABEL="UUID=$(/sbin/blkid -s UUID -o value $REPODEV)"
-    REPOMNT=$(mktemp -d /media/repotmp.XXXXXX)
-    mount $mountopts $REPODEV $REPOMNT || exitclean
-fi
 
 trap exitclean SIGINT SIGTERM
 
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1163,27 +1071,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ "$srctype" = "live" -a -z "$skipcopy" ]; then
     sync
 fi
 
-# DVD installer copy
-# Also copies over the source .iso if the image is a new-style LiveOS DVD (F17+)
-if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
-    echo "Copying DVD image to target device."
-    mkdir -p $TGTMNT/images/
-    if [ "$imgtype" = "install" ]; then
-        for img in install.img updates.img product.img; do
-            if [ -e $SRCMNT/images/$img ]; then
-                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
-            fi
-        done
-    fi
-fi
-
-# Copy source .iso to repo partition
-if [ -n "$packages" -a -z "$skipcopy" -a -n "$REPOMNT" ]; then
-    echo "Copying $SRC"
-    copyFile "$SRC" $REPOMNT/
-    sync
-fi
-
 # Adjust syslinux sources for replication of installed images
 # between filesystem types.
 if [[ -d $SRCMNT/isolinux/ ]]; then
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1201,6 +1088,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; BOOTCONFIG=$TGTMNT/$SYSLINUXPATH/isolinux.cfg
 # Set this to nothing so sed doesn't care
 BOOTCONFIG_EFI=
 if [ -n "$efi" ]; then
+    echo "Setting up $EFI_BOOT"
     cp $SRCMNT$EFI_BOOT/* $TGTMNT$EFI_BOOT
 
     # FIXME
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1240,7 +1128,43 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     fi
 fi
 
-if [[ live == $srctype ]]; then
+# DVD installer copy
+if [ -z "$skipcopy" -a \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
+    echo "Copying DVD image to target device."
+    mkdir -p $TGTMNT/images/
+    if [ "$imgtype" = "install" ]; then
+        for img in install.img updates.img product.img; do
+            if [ -e $SRCMNT/images/$img ]; then
+                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
+            fi
+        done
+    fi
+fi
+
+# Copy packages over.
+# Before Fedora17 we could copy the .iso and setup a repo=
+# F17 and later look for repodata on the source media.
+# The presence of packages and LiveOS indicates F17 or later.
+if [ -n "$packages" -a -z "$skipcopy" ]; then
+    if [ "$srctype" != "live" ]; then
+        echo "Copying $SRC to device"
+        copyFile "$SRC" "$TGTMNT/"
+
+        # Setup a repo= to point to the .iso
+        sed -i -e "s;initrd.img;initrd.img repo=hd:$TGTLABEL:/;g" $BOOTCONFIG
+        if [ -n "$efi" ]; then
+            sed -i -e "s;vmlinuz;vmlinuz repo=hd:$TGTLABEL:/;g" $BOOTCONFIG_EFI
+        fi
+    else
+        echo "Copying package data from $SRC to device"
+        rsync --inplace -rLDP --exclude EFI/ --exclude images/ --exclude isolinux/ \
+            --exclude TRANS.TBL --exclude LiveOS/ "$SRCMNT/" "$TGTMNT/"
+    fi
+    echo "Waiting for device to finish writing"
+    sync
+fi
+
+if [ "$srctype" = "live" ]; then
     # Copy this installer script.
     cp -fT "$thisScriptpath" $TGTMNT/$LIVEOS/livecd-iso-to-disk
     chmod +x $TGTMNT/$LIVEOS/livecd-iso-to-disk &amp;amp;&amp;gt; /dev/null || :
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1278,14 +1202,6 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; if [ -n "$efi" ]; then
     sed -i -e "s;findiso;;g" $BOOTCONFIG_EFI
 fi
 
-# Add repo= to point to the source .iso with the packages
-if [[ -n "$packages" ]]; then
-    sed -i -e "s;initrd.img;initrd.img repo=hd:$REPOLABEL:/;g" $BOOTCONFIG
-    if [ -n "$efi" ]; then
-        sed -i -e "s;vmlinuz;vmlinuz repo=hd:$REPOLABEL:/;g" $BOOTCONFIG_EFI
-    fi
-fi
-
 # DVD Installer for netinst
 if [ "$srctype" != "live" ]; then
     if [ "$imgtype" = "install" ]; then


--
livecd mailing list
livecd&amp;lt; at &amp;gt;lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/livecd&lt;/pre&gt;</description>
    <dc:creator>Brian C. Lane</dc:creator>
    <dc:date>2012-04-26T21:49:35</dc:date>
  </item>
  <textinput rdf:about="http://search.gmane.org/?group=$group=gmane.linux.redhat.fedora.livecd">
    <title>Search Engine</title>
    <description>Search the mailing list at Gmane</description>
    <name>query</name>
    <link>http://search.gmane.org/?group=$group=gmane.linux.redhat.fedora.livecd</link>
  </textinput>
</rdf:RDF>

